<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<form action="">
		<input type="radio" name="uno" value="1" class="uno">
		<input type="radio" name="uno" value="2" class="uno">
		<input type="radio" name="uno" value="3" class="uno">
		<input type="radio" name="uno" value="4" class="uno">
		<button type="button" onclick="probar()">Probar</button>
	</form>

	<script type="text/javascript">
		function probar(){
			var cajas=document.querySelectorAll(".uno");
			console.log(document.querySelectorAll(".uno"));
			for(var c=0;c<cajas.length;c++){
				if(cajas[c].checked){
					alert(cajas[c].value);
				}
			}
		}
	</script>
</body>
</html>